Package org.eclipse.net4j.signal

## Class SignalActor

- java.lang.Object
- - org.eclipse.net4j.signal.Signal
  - - org.eclipse.net4j.signal.SignalActor

- All Implemented Interfaces:
    `java.lang.Runnable`
  Direct Known Subclasses:
    `Request`, `RequestWithConfirmation`

      public abstract class SignalActor
      extends Signal

  Represents the sender side of a `signal`.
  Author:
    Eike Stepper

- - ### Field Summary

    - ### Fields inherited from class org.eclipse.net4j.signal.Signal

      `NO_TIMEOUT`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SignalActor​(SignalProtocol<?> protocol, short id)` |
    `SignalActor​(SignalProtocol<?> protocol, short id, java.lang.String name)` |
    `SignalActor​(SignalProtocol<?> protocol, java.lang.Enum<?> literal)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected void` | `execute​(BufferInputStream in, BufferOutputStream out)` |

    - ### Methods inherited from class org.eclipse.net4j.signal.Signal

      `closeChannelAfterMe, closeInputStreamAfterMe, closeOutputStreamAfterMe, finishInputStream, finishOutputStream, flush, getAdditionalInfo, getBufferInputStream, getBufferOutputStream, getCorrelationID, getCurrentInputStream, getCurrentOutputStream, getID, getName, getProtocol, run, toString, toString, wrapInputStream, wrapOutputStream`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SignalActor

          public SignalActor​(SignalProtocol<?> protocol,
                             short id,
                             java.lang.String name)

      Since:
        2.0

    - #### SignalActor

          public SignalActor​(SignalProtocol<?> protocol,
                             short id)

      Since:
        2.0

    - #### SignalActor

          public SignalActor​(SignalProtocol<?> protocol,
                             java.lang.Enum<?> literal)

      Since:
        2.0

  - ### Method Detail

    - #### execute

          protected final void execute​(BufferInputStream in,
                                       BufferOutputStream out)
                                throws java.lang.Exception

      Specified by:
        `execute` in class `Signal`
      Throws:
        `java.lang.Exception`